<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>printLogo &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>printLogo
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.2% of total for procedures.">30 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/flubioSettings.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/flubiosettings.f03.html'>flubioSettings.f03</a></li>
    
     <li><a href='../module/flubiosettings.html'>flubioSettings</a></li>
    
  
     <li class="active">printLogo</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine printLogo()
    
    
   
</h2>
    
  


    

    <h3>Arguments</h3>
    
    <em>None</em>
    <br>
    
    
    
    <br>
    
    
     
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Called by</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~printlogo~~CalledByGraph Pages: 1 -->
<svg id="procprintlogoCalledByGraph" width="393pt" height="200pt"
 viewBox="0.00 0.00 393.00 200.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~printlogo~~CalledByGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 196)">
<title>proc~~printlogo~~CalledByGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-196 389,-196 389,4 -4,4"/>
<!-- proc~printlogo -->
<g id="proc~~printlogo~~CalledByGraph_node1" class="node">
<title>proc~printlogo</title>
<polygon fill="none" stroke="#000000" points="385,-129 327,-129 327,-105 385,-105 385,-129"/>
<text text-anchor="middle" x="356" y="-114.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">printLogo</text>
</g>
<!-- proc~navierstokessettings -->
<g id="proc~~printlogo~~CalledByGraph_node2" class="node">
<title>proc~navierstokessettings</title>
<g id="a_proc~~printlogo~~CalledByGraph_node2"><a xlink:href=".././proc/navierstokessettings.html" xlink:title="NavierStokesSettings">
<polygon fill="#d9534f" stroke="#d9534f" points="291,-150 178,-150 178,-126 291,-126 291,-150"/>
<text text-anchor="middle" x="234.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">NavierStokesSettings</text>
</a>
</g>
</g>
<!-- proc~navierstokessettings&#45;&gt;proc~printlogo -->
<g id="proc~~printlogo~~CalledByGraph_edge1" class="edge">
<title>proc~navierstokessettings&#45;&gt;proc~printlogo</title>
<path fill="none" stroke="#000000" d="M291.3369,-128.1763C300.022,-126.6752 308.8143,-125.1556 316.9996,-123.7408"/>
<polygon fill="#000000" stroke="#000000" points="317.7316,-127.1663 326.9894,-122.0142 316.5394,-120.2685 317.7316,-127.1663"/>
</g>
<!-- proc~poisson_settings -->
<g id="proc~~printlogo~~CalledByGraph_node3" class="node">
<title>proc~poisson_settings</title>
<g id="a_proc~~printlogo~~CalledByGraph_node3"><a xlink:href=".././proc/poisson_settings.html" xlink:title="poisson_settings">
<polygon fill="#d9534f" stroke="#d9534f" points="280.5,-108 188.5,-108 188.5,-84 280.5,-84 280.5,-108"/>
<text text-anchor="middle" x="234.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">poisson_settings</text>
</a>
</g>
</g>
<!-- proc~poisson_settings&#45;&gt;proc~printlogo -->
<g id="proc~~printlogo~~CalledByGraph_edge2" class="edge">
<title>proc~poisson_settings&#45;&gt;proc~printlogo</title>
<path fill="none" stroke="#000000" d="M280.7805,-103.9991C292.5898,-106.0402 305.1735,-108.2152 316.6022,-110.1905"/>
<polygon fill="#000000" stroke="#000000" points="316.2677,-113.6845 326.7177,-111.9389 317.4599,-106.7868 316.2677,-113.6845"/>
</g>
<!-- program~burgers -->
<g id="proc~~printlogo~~CalledByGraph_node4" class="node">
<title>program~burgers</title>
<g id="a_proc~~printlogo~~CalledByGraph_node4"><a xlink:href=".././program/burgers.html" xlink:title="burgers">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="98,-192 44,-192 44,-168 98,-168 98,-192"/>
<text text-anchor="middle" x="71" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">burgers</text>
</a>
</g>
</g>
<!-- program~burgers&#45;&gt;proc~poisson_settings -->
<g id="proc~~printlogo~~CalledByGraph_edge3" class="edge">
<title>program~burgers&#45;&gt;proc~poisson_settings</title>
<path fill="none" stroke="#000000" d="M98.1761,-175.771C112.0967,-172.6959 128.8385,-167.5269 142,-159 162.6336,-145.6322 157.8347,-131.0643 178,-117 180.2558,-115.4267 182.6439,-113.9551 185.1133,-112.5809"/>
<polygon fill="#000000" stroke="#000000" points="186.911,-115.5965 194.3205,-108.0235 183.8056,-109.3229 186.911,-115.5965"/>
</g>
<!-- program~testfct -->
<g id="proc~~printlogo~~CalledByGraph_node5" class="node">
<title>program~testfct</title>
<g id="a_proc~~printlogo~~CalledByGraph_node5"><a xlink:href=".././program/testfct.html" xlink:title="testFCT">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="98,-150 44,-150 44,-126 98,-126 98,-150"/>
<text text-anchor="middle" x="71" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">testFCT</text>
</a>
</g>
</g>
<!-- program~testfct&#45;&gt;proc~poisson_settings -->
<g id="proc~~printlogo~~CalledByGraph_edge4" class="edge">
<title>program~testfct&#45;&gt;proc~poisson_settings</title>
<path fill="none" stroke="#000000" d="M98.3662,-130.9701C120.2265,-125.3546 151.582,-117.3 178.6913,-110.3362"/>
<polygon fill="#000000" stroke="#000000" points="179.6467,-113.7045 188.4615,-107.8264 177.9051,-106.9246 179.6467,-113.7045"/>
</g>
<!-- program~potentialflow -->
<g id="proc~~printlogo~~CalledByGraph_node6" class="node">
<title>program~potentialflow</title>
<g id="a_proc~~printlogo~~CalledByGraph_node6"><a xlink:href=".././program/potentialflow.html" xlink:title="potentialFlow">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="109,-108 33,-108 33,-84 109,-84 109,-108"/>
<text text-anchor="middle" x="71" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">potentialFlow</text>
</a>
</g>
</g>
<!-- program~potentialflow&#45;&gt;proc~poisson_settings -->
<g id="proc~~printlogo~~CalledByGraph_edge5" class="edge">
<title>program~potentialflow&#45;&gt;proc~poisson_settings</title>
<path fill="none" stroke="#000000" d="M109.3335,-96C129.7961,-96 155.3713,-96 178.0606,-96"/>
<polygon fill="#000000" stroke="#000000" points="178.2537,-99.5001 188.2536,-96 178.2536,-92.5001 178.2537,-99.5001"/>
</g>
<!-- program~poissonequation -->
<g id="proc~~printlogo~~CalledByGraph_node7" class="node">
<title>program~poissonequation</title>
<g id="a_proc~~printlogo~~CalledByGraph_node7"><a xlink:href=".././program/poissonequation.html" xlink:title="PoissonEquation">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="117,-66 25,-66 25,-42 117,-42 117,-66"/>
<text text-anchor="middle" x="71" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">PoissonEquation</text>
</a>
</g>
</g>
<!-- program~poissonequation&#45;&gt;proc~poisson_settings -->
<g id="proc~~printlogo~~CalledByGraph_edge6" class="edge">
<title>program~poissonequation&#45;&gt;proc~poisson_settings</title>
<path fill="none" stroke="#000000" d="M117.4152,-65.9232C136.3949,-70.7987 158.5211,-76.4825 178.3967,-81.5881"/>
<polygon fill="#000000" stroke="#000000" points="177.6955,-85.0216 188.2519,-84.1198 179.4372,-78.2417 177.6955,-85.0216"/>
</g>
<!-- program~advectiondiffusionequation -->
<g id="proc~~printlogo~~CalledByGraph_node8" class="node">
<title>program~advectiondiffusionequation</title>
<g id="a_proc~~printlogo~~CalledByGraph_node8"><a xlink:href=".././program/advectiondiffusionequation.html" xlink:title="advectionDiffusionEquation">
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="142,-24 0,-24 0,0 142,0 142,-24"/>
<text text-anchor="middle" x="71" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">advectionDiffusionEquation</text>
</a>
</g>
</g>
<!-- program~advectiondiffusionequation&#45;&gt;proc~poisson_settings -->
<g id="proc~~printlogo~~CalledByGraph_edge7" class="edge">
<title>program~advectiondiffusionequation&#45;&gt;proc~poisson_settings</title>
<path fill="none" stroke="#000000" d="M119.1172,-24.019C126.9212,-26.5933 134.7988,-29.5856 142,-33 167.498,-45.0896 193.8364,-63.7386 211.8549,-77.6134"/>
<polygon fill="#000000" stroke="#000000" points="209.9624,-80.577 219.9919,-83.9914 214.2807,-75.0677 209.9624,-80.577"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>